
[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
    Tim F. Smith <yoohootim@hotmail.com>
    Hogne Håskjold (mountains)
    Daniel Speyer <dspeyer@users.sf.net> (mix)
    Frederic Rodrigo <f.rodrigo@tuxfamily.org> (mix)
"

[file]
gfx = "r-hires/terrain2"

[grid_main]

x_top_left = 1
y_top_left = 1
dx = 64
dy = 32
is_pixel_border = 1

tiles = { "row", "column","tag"
; Rivers (as special type), and whether north, south, east, west 
; also has river or is ocean:

 0,  0, "tx.s_river_n0e0s0w0"
 0,  1, "tx.s_river_n1e0s0w0"
 0,  2, "tx.s_river_n0e1s0w0"
 0,  3, "tx.s_river_n1e1s0w0"
 0,  4, "tx.s_river_n0e0s1w0"
 0,  5, "tx.s_river_n1e0s1w0"
 0,  6, "tx.s_river_n0e1s1w0"
 0,  7, "tx.s_river_n1e1s1w0"
 1,  0, "tx.s_river_n0e0s0w1"
 1,  1, "tx.s_river_n1e0s0w1"
 1,  2, "tx.s_river_n0e1s0w1"
 1,  3, "tx.s_river_n1e1s0w1"
 1,  4, "tx.s_river_n0e0s1w1"
 1,  5, "tx.s_river_n1e0s1w1"
 1,  6, "tx.s_river_n0e1s1w1"
 1,  7, "tx.s_river_n1e1s1w1"

;forrests as overlay

 2,  0, "t.forest_n0e0s0w0"
 2,  1, "t.forest_n1e0s0w0"
 2,  2, "t.forest_n0e1s0w0"
 2,  3, "t.forest_n1e1s0w0"
 2,  4, "t.forest_n0e0s1w0"
 2,  5, "t.forest_n1e0s1w0"
 2,  6, "t.forest_n0e1s1w0"
 2,  7, "t.forest_n1e1s1w0"
 3,  0, "t.forest_n0e0s0w1"
 3,  1, "t.forest_n1e0s0w1"
 3,  2, "t.forest_n0e1s0w1"
 3,  3, "t.forest_n1e1s0w1"
 3,  4, "t.forest_n0e0s1w1"
 3,  5, "t.forest_n1e0s1w1"
 3,  6, "t.forest_n0e1s1w1"
 3,  7, "t.forest_n1e1s1w1"

;mountains as overlay

 4,  0, "t.mountains_n0e0s0w0"
 4,  1, "t.mountains_n0e0s0w1"
 4,  2, "t.mountains_n0e0s1w0"
 4,  3, "t.mountains_n0e0s1w1"
 4,  4, "t.mountains_n0e1s0w0"
 4,  5, "t.mountains_n0e1s0w1"
 4,  6, "t.mountains_n0e1s1w0"
 4,  7, "t.mountains_n0e1s1w1"
 5,  0, "t.mountains_n1e0s0w0"
 5,  1, "t.mountains_n1e0s0w1"
 5,  2, "t.mountains_n1e0s1w0"
 5,  3, "t.mountains_n1e0s1w1"
 5,  4, "t.mountains_n1e1s0w0"
 5,  5, "t.mountains_n1e1s0w1"
 5,  6, "t.mountains_n1e1s1w0"
 5,  7, "t.mountains_n1e1s1w1"

;hills as overlay

 6,  0, "t.hills_n0e0s0w0"
 6,  1, "t.hills_n1e0s0w0"
 6,  2, "t.hills_n0e1s0w0"
 6,  3, "t.hills_n1e1s0w0"
 6,  4, "t.hills_n0e0s1w0"
 6,  5, "t.hills_n1e0s1w0"
 6,  6, "t.hills_n0e1s1w0"
 6,  7, "t.hills_n1e1s1w0"
 7,  0, "t.hills_n0e0s0w1"
 7,  1, "t.hills_n1e0s0w1"
 7,  2, "t.hills_n0e1s0w1"
 7,  3, "t.hills_n1e1s0w1"
 7,  4, "t.hills_n0e0s1w1"
 7,  5, "t.hills_n1e0s1w1"
 7,  6, "t.hills_n0e1s1w1"
 7,  7, "t.hills_n1e1s1w1"

;river outlets

 8,  0, "tx.river_outlet_n"
 8,  1, "tx.river_outlet_e"
 8,  2, "tx.river_outlet_s"
 8,  3, "tx.river_outlet_w"

;display utilities
 8,  4, "t.dither_tile"
 8,  4, "tx.darkness"
 8,  5, "tx.fog"
 8,  6, "t.black_tile"

}


[grid_coasts_1]

x_top_left = 17
y_top_left = 298
dx = 32
dy = 16
is_pixel_border = 1

tiles = { "row", "column","tag"
 0, 0,  "t.ocean_cell_u000"
 0, 2,  "t.ocean_cell_u100"
 0, 4,  "t.ocean_cell_u010"
 0, 6,  "t.ocean_cell_u110"
 0, 8,  "t.ocean_cell_u001"
 0, 10, "t.ocean_cell_u101"
 0, 12, "t.ocean_cell_u011"
 0, 14, "t.ocean_cell_u111"

 2, 0,  "t.ocean_cell_d000"
 2, 2,  "t.ocean_cell_d100"
 2, 4,  "t.ocean_cell_d010"
 2, 6,  "t.ocean_cell_d110"
 2, 8,  "t.ocean_cell_d001"
 2, 10, "t.ocean_cell_d101"
 2, 12, "t.ocean_cell_d011"
 2, 14, "t.ocean_cell_d111"
}


[grid_coasts_2]

x_top_left = 1
y_top_left = 315
dx = 32
dy = 16
is_pixel_border = 1

tiles = { "row", "column","tag"
 0, 0,  "t.ocean_cell_l000"
 0, 2,  "t.ocean_cell_l100"
 0, 4,  "t.ocean_cell_l010"
 0, 6,  "t.ocean_cell_l110"
 0, 8,  "t.ocean_cell_l001"
 0, 10, "t.ocean_cell_l101"
 0, 12, "t.ocean_cell_l011"
 0, 14, "t.ocean_cell_l111"

 0, 1,  "t.ocean_cell_r000"
 0, 3,  "t.ocean_cell_r100"
 0, 5,  "t.ocean_cell_r010"
 0, 7,  "t.ocean_cell_r110"
 0, 9,  "t.ocean_cell_r001"
 0, 11, "t.ocean_cell_r101"
 0, 13, "t.ocean_cell_r011"
 0, 15, "t.ocean_cell_r111"
}
