
[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
    Alexandre Beraud <a_beraud@lemel.fr>
    Jeff Mallatt <jjm@codewell.com> (cooling flakes)
    Davide Pagnin <nightmare@freeciv.it> (angry citizens)
    Enrico Bini <e.bini@sssup.it> (fundamentalism icon)
    Frederic Rodrigo <f.rodrigo@tuxfamily.org> (smooth government and light in lamp)
"

[file]
gfx = "r-hires/small"

[grid_main]

x_top_left = 0
y_top_left = 0
dx = 15
dy = 20

tiles = { "row", "column", "tag"

; Government icons:

  0,  0, "gov.anarchy"
  0,  1, "gov.despotism"
  0,  2, "gov.monarchy"
  0,  3, "gov.communism"
  0,  4, "gov.fundamentalism"
  0,  5, "gov.republic"
  0,  6, "gov.democracy"

; Panel tax icons

  1,  0, "s.tax_luxury"
  1,  1, "s.tax_science"
  1,  2, "s.tax_gold"

; Citizen icons:

  1,  0, "specialist.elvis_0"
  1,  1, "specialist.scientist_0"
  1,  2, "specialist.taxman_0"
  1,  3, "citizen.content_0"
  1,  4, "citizen.content_1"
  1,  5, "citizen.happy_0"
  1,  6, "citizen.happy_1"
  1,  7, "citizen.unhappy_0"
  1,  8, "citizen.unhappy_1"
  1,  9, "citizen.angry_0"
  1, 10, "citizen.angry_1"

; Science progress indicators:

  2,  0, "s.science_bulb_0"
  2,  1, "s.science_bulb_1"
  2,  2, "s.science_bulb_2"
  2,  3, "s.science_bulb_3"
  2,  4, "s.science_bulb_4"
  2,  5, "s.science_bulb_5"
  2,  6, "s.science_bulb_6"
  2,  7, "s.science_bulb_7"

; Global warming progress indicators:

  3,  0, "s.warming_sun_0"
  3,  1, "s.warming_sun_1"
  3,  2, "s.warming_sun_2"
  3,  3, "s.warming_sun_3"
  3,  4, "s.warming_sun_4"
  3,  5, "s.warming_sun_5"
  3,  6, "s.warming_sun_6"
  3,  7, "s.warming_sun_7"


; Nuclear winter progress indicators:

  4,  0, "s.cooling_flake_0"
  4,  1, "s.cooling_flake_1"
  4,  2, "s.cooling_flake_2"
  4,  3, "s.cooling_flake_3"
  4,  4, "s.cooling_flake_4"
  4,  5, "s.cooling_flake_5"
  4,  6, "s.cooling_flake_6"
  4,  7, "s.cooling_flake_7"

; Right arrow icon:

  0, 10, "s.right_arrow"

; Event Message Icons

  5, 0,  "ev.hutbarbarians"
  5, 0,  "ev.hutcowardlybarbs"
  5, 1,  "ev.diplomated"
  5, 1,  "ev.diplomatmine"
  5, 1,  "ev.firstcontact"
  5, 2,  "ev.aqueduct"
  5, 2,  "ev.aqueductbuilding"
  5, 3,  "ev.growth"
  5, 3,  "ev.granthrottle"
  5, 3,  "ev.citymaygrow"
  5, 3,  "ev.citybuild"
  5, 3,  "ev.hutcity"
  5, 3,  "ev.hutnomads"
  5, 4,  "ev.famine"
  5, 4,  "ev.faminefeared"
  5, 5,  "ev.pollution"
  5, 6,  "ev.nuke"
  5, 6,  "ev.citynuked"
  5, 7,  "ev.wonderstart"
  5, 8,  "ev.wonderstopped"
  5, 8,  "ev.wonderobsolete"
  5, 9,  "ev.wonderwillbebuilt"
  5, 10, "ev.wonderbuilt"
}
